# enforcedPlatform

abstract fun enforcedPlatform(notation: Any): DependencyConstraint

Declares a constraint on an enforced platform. If the target coordinates represent multiple potential components, the platform component will be selected, instead of the library. An enforced platform is a platform for which the direct dependencies are forced, meaning that they would override any other version found in the graph.

#### Since

5.0

#### Parameters

notation

the coordinates of the platform

abstract fun enforcedPlatform(notation: Any, configureAction: Action<in DependencyConstraint>): DependencyConstraint

Declares a constraint on an enforced platform. If the target coordinates represent multiple potential components, the platform component will be selected, instead of the library. An enforced platform is a platform for which the direct dependencies are forced, meaning that they would override any other version found in the graph.

#### Since

5.0

#### Parameters

notation

the coordinates of the platform

configureAction

the dependency configuration block